# SourcePath: libsigc++/20180320dev
Summary: The libsigc++ package implements a typesafe callback system for standard C++.
Name: sony-target-dev-libsigc++
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-libsigc++
Version: 2.10.0
Release: 12010001
Source: libsigc++-%{version}.tar.xz
URL:   http://ftp.gnome.org/pub/gnome/sources/libsigc++/
License: LGPLv2.1, public domain
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
Group: %{sony_group}
Buildroot: %{_tmppath}/%{name}-root
%define targetroot %{sony_target_dir}
Prefix: %{sony_target_dir}

%description
This library implements a full callback system for use in widget
libraries, abstract interfaces, and general programming. It is the most
complete library of its kind with the ability to connect an abstract
callback to a class method, function, or function object. It contains
adaptor classes for connection of dissimilar callbacks and has an ease
of use unmatched by other C++ callback libraries.

%package -n %{pkgname}
Summary: The libsigc++ package implements a typesafe callback system for standard C++.
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
This library implements a full callback system for use in widget
libraries, abstract interfaces, and general programming. It is the most
complete library of its kind with the ability to connect an abstract
callback to a class method, function, or function object. It contains
adaptor classes for connection of dissimilar callbacks and has an ease
of use unmatched by other C++ callback libraries.

%prep
%setup -n libsigc++-%{version} -q

%build
%sony_target_dev_setup
%sony_target_dev_configure

make

%install
rm -rf ${RPM_BUILD_ROOT}
%sony_target_dev_setup
%sony_target_dev_makeinstall
%demangle_libtool

# Remove docs and man pages
rm -rf ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_dev_data_dir}/*

# Move pkgconfig files and .a files
for l in `ls %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}`; do
    case $l in
        *.a|pkgconfig)
          mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}
          mv %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/$l \
             %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}
          ;;
    esac
done

for l in `ls %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}`; do
    if [ "$l" != "pkgconfig" ]; then
        ln -s ../..%{sony_target_devtool_lib_dir}/$l \
            %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/$l
    fi
done

%clean
rm -rf ${RPM_BUILD_ROOT}

%files -n %{pkgname}
%defattr(-,root,root)
%{sony_target_dir}%{sony_target_dev_include_dir}/*
%{sony_target_dir}%{sony_target_dev_lib_dir}/*
%{sony_target_dir}%{sony_target_devtool_lib_dir}/*

%changelog
* Mon May 10 2021 Sony Corporation
- Initial build for CE Linux 12.1.0.X

* Tue Mar 20 2018 Sony Corporation
- Initial build.
